DEPRECATED pciConfig API

This pciConfig API has been deprecated and is only provided for some existing partners as reference.

pciConfig API (support deprecated - only used by some existing partners)

❗️

This can only be done with BaaS accounts. Please use Hosted UX for any new implementations instead. This guide is only provided as courtesy reference.

API Call Structure

POST /programs/{programCode}/accounts/{accountId}/pciConfig

Key Indicators

The RequestMessage includes:

  • Activity – suggesting the operation involves card-related data. This should be one of:
    • "CARD_DETAILS" - View card PAN info
    • "CARD_ACTIVATION" - Activate a new/replacement card
    • "CARD_SETPIN" - Set or change PIN
    • "LINK_CARD" - Link a debit card for an external transfer (credit or debit)
    • "UPDATE_LINK" - Update linked card info
  • SuccessUrl - where the customer should be redirected in the app if they successfully complete the "activity"
  • ErrorUrl - where the customer should be redirected in the app if they are unable to successfully complete the "activity" or abandon it before completion

Request Body

{
  "activity": "string",
  "activityData": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "successUrl": "string",
  "errorUrl": "string"
}

Response Body

{
  "url": "string",
  "responseDetails": [
    {
      "code": 0,
      "subCode": 0,
      "description": "string",
      "url": "string"
    }
  ]
}

Card Details Activity Sample Request + Response

POST /programs/{programCode}/accounts/{accountId}/pciConfig

Sample Request

{
  "activity": "CARD_DETAILS",
  "activityData": {
    "LinkId": null,
  },
  "successUrl": "https://partner.com/success-return-url",
  "errorUrl": "https://partner.com/error-return-url"
}

Sample Response

{
  "url": "https://qa-partnername.go2bankonline.com/cardmanagement/card-info?code=d38e8c11-d8a&accountIdentifier=04500777-ED69-1FAE7E971F8C&programCode=examplecode&requestId=e0645044-84bf-be5a6706eab7&sign=EBD0D3B937ACFE0FAAFFBD24BC47E4340330E1BF5106B9CC9",
  "responseDetails": [
    {
      "code": 0,
      "subCode": 0,
      "description": "string",
      "url": "string"
    }
  ]
}
 

Update Link Activity Request + Response

POST /programs/{programCode}/accounts/{accountId}/pciConfig

Sample Request

{
  "activity": "UPDATE_LINK",
  "activityData": {
    "LinkId": "d215521a-5336-4f0b-98db-2ec720e088f4",
  },
  "successUrl": "https://partner.com/success-return-url",
  "errorUrl": "https://partner.com/error-return-url"
}

Sample Response

{
  "url": "https://pie-partnername.go2bankonline.com/cardmanagement/update-link?code=744f04f39-a943-0173c24467d8&accountIdentifier=8F44BBCB-5882-4388-A9F9C239E6&programCode=examplecode&requestId=eac89eba--b34a-8ef740aed67a&sign=280297985374B72AF0A63745315A3FC40EBC4B4B0D439630C",
  "responseDetails": [
    {
      "code": 0,
      "subCode": 0,
      "description": "string",
      "url": "string"
    }
  ]
}
 

Response Codes

Http CodeCodeSubCodeMessageDescription
20000SuccessSuccessful response
4006000Activity is invalidActivity cannot find the corresponding path
4001010Activity is requiredActivity is required
4001010SuccessUrl is requiredSuccessUrl is required
4001010ErrorUrl is requiredErrorUrl is required

Did this page help you?